import { APIGatewayProxyHandler } from 'aws-lambda';
import { GraphQLSchema } from 'graphql';
import { IConnectionManager } from './types';
declare type Options = {
    connectionManager: IConnectionManager;
    schema: GraphQLSchema;
    WSS_URL: string;
    formatResponse?: (body: any) => string;
};
declare function createHttpHandler({ connectionManager, schema, formatResponse, WSS_URL }: Options): APIGatewayProxyHandler;
export { createHttpHandler };
export default createHttpHandler;
