import { SNSHandler } from 'aws-lambda';
import { GraphQLSchema } from 'graphql';
import { IConnectionManager, ISubscriptionManager } from './types';
declare type Options = {
    connectionManager: IConnectionManager;
    schema: GraphQLSchema;
    subscriptionManager: ISubscriptionManager;
};
declare function createSNSEventProcessor({ connectionManager, schema, subscriptionManager, }: Options): SNSHandler;
export { createSNSEventProcessor };
export default createSNSEventProcessor;
